#!/bin/bash -x

FFMPEG_VERSION=n4.4

if [ ! -d ffmpeg ]; then
  git clone --depth 1 --branch $FFMPEG_VERSION https://github.com/FFmpeg/FFmpeg ffmpeg
fi

cp build.sh ffmpeg/build.sh
cd ffmpeg

docker pull gcc:8
docker run \
  -v $PWD:/usr/src \
  gcc:8 \
  sh -c 'cd /usr/src && bash build.sh'